<?php

namespace Database\Seeders;

use App\Models\MonitoringQuestion;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class MonitoringQuestionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
        MonitoringQuestion::insert([
            [
                'type'=>'end_user_critical',
                'name'=>'Incorrect information given to customer',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'end_user_critical',
                'name'=>'Missing Info given to customer - Over promising',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'end_user_critical',
                'name'=>'Cross/up selling',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'end_user_critical',
                'name'=>'Release the call',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'end_user_critical',
                'name'=>'Used inappropriate - Rude comments - Behavior',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'end_user_critical',
                'name'=>'Follow Up With CST',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'end_user_critical',
                'name'=>'Ignore Customer request /inquiry /Complaint',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'business_critical',
                'name'=>'Asking the customer about required data',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'business_critical',
                'name'=>'Call Activity - Update CRM - Against company policy',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'business_critical',
                'name'=>'Telephone technique - Side Talking',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'business_critical',
                'name'=>'Identified correct system to access and reviewing customer history',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Uses appropriate welcome - Wrong customer title (Mr. / Eng. / Dr. /…)',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Control the call',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Follow the correct ( Hold - Transfer ) ( Protocols )',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Interactive and positive with the customer & Addressing customer\'s feelings',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Use good grammar - Avoids slang',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Active listening - ( Concentration-Interruption-Listen-Knowledge )',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Way of speech - ( Clear - Enthusiastic - Tone - Speed)',
                'status'=>'published',
                'created_at'=>now(),
            ],
            [
                'type'=>'non_critical',
                'name'=>'Thank the customers for calling',
                'status'=>'published',
                'created_at'=>now(),
            ]

        ]);
    }
}
